﻿@model  Select2ConsultoresViewModel

@if (Model.viewCode)
{
    <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")">

        @if (Model.verTitulo)
        {
            <label for="input-text-1">
                <strong class="strong-min-tgv">Código:</strong>
            </label>
        }


        @*<div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")">
                <input id="@Model.idControleInput" type="text" class="form-control numeric" maximo="8">
            </div>*@
        <div class="mdl-textfield mdl-js-textfield">
            <input class="mdl-textfield__input numerico" id="@Model.idControleInput" name="@Model.idControleInput" type="text" maximo="10">
            <label class="mdl-textfield__label" for="@Model.idControleInput"></label>
        </div>
    </div>
}

<div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-5") @(Model.clasCor)" style="margin-top: -2px !important;@Model.margintopSel" >

    @if (Model.verTitulo)
    {
        <label for="input-text-1">
            <strong class="strong-min-tgv">Consultor:</strong>
        </label>
    }
    <div class="campos-group">
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
</div>

<script type="text/javascript">
	$(function () {
		with (new ComponenteSelect2()) {
			with (modelo) {
				ajaxPostApiURL = '@Url.Content("~/api/Select2Consultores/ObterDescricoesConsultores")';
				idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
				idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMFNC";
                textoInicial = "Selecione um Consultor";
                jsonTexto = "NOMFNC";
                jsonValor = "CODFNC";
                caracteresMinimos = 0;

                @if (Model.multiplo)
                {
                    <text>multiplo = true;</text>
                }
                else
                {
                    <text>multiplo = false;</text>
                }


                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
			}
			inicializar(null);
		}
    });

    $("#@Model.idControleInput").change(function (e) {

                if ($(this).val().length > 0) {
                    //
                    with (new ComponenteAJAXFactory()) {
                        with (modelo) {
                            ajaxSuccessCallbackMethod = function (data) {
                                var bEach = false;
                                $(data).each(function (idx, dat) {
                                    bEach = true;
                                    $("#@Model.idControleSelect2").select2("trigger", "select", {
                                        data: { id: dat.CODFNC, text: dat.NOMFNC }
                                    });
                                    return;
                                });
                                if (!bEach) {
                                    swal('Verificar!', 'Consultor não encontrado!');
                                    setCustomIcon('fa fa-window-close');
                                    $("#@Model.idControleInput").val('');
                                    $("#@Model.idControleSelect2").empty().change();
                                }
                            };
                            ajaxURL = '@Url.Content("~/api/Select2Consultores/ObterCodigosConsultores")';
                            async = true;
                            with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleInput", nomeJsonEnviar = "CODFNC", tipoJsonEnviar = 'tipoNumerico' };
                        }
                        inicializar(null);
                    }
                    //
                }
		});

</script>
